//FIrefly萤火虫 首次编写动态翻页按钮
if(location.pathname.indexOf('qita')!=-1){
	var pageNum=1;//总页数
	var geshi = 'qita';//格式
	var reg=new RegExp('.*[\qita_]+(.*)[\.]+.*');
}else if(location.pathname.indexOf('xuanfu')!=-1){
	var pageNum=1;//总页数
	var geshi = 'xuanfu';//格式
	var reg=new RegExp('.*[\ xuanfu_]+(.*)[\.]+.*');
}else if(location.pathname.indexOf('youxi')!=-1){
	var pageNum=1;//总页数
	var geshi = 'youxi';//格式
	var reg=new RegExp('.*[\youxi_]+(.*)[\.]+.*');
}else if(location.pathname.indexOf('zhengshu')!=-1){
	var pageNum=1;//总页数
	var geshi = 'zhengshu';//格式
	var reg=new RegExp('.*[\zhengshu_]+(.*)[\.]+.*');
}else if(location.pathname.indexOf('biaobai')!=-1){
	var pageNum=1;//总页数
	var geshi = 'biaobai';//格式
	var reg=new RegExp('.*[\biaobai_]+(.*)[\.]+.*');
}else if(location.pathname.indexOf('egao')!=-1){
	var pageNum=1;//总页数
	var geshi = 'egao';//格式
	var reg=new RegExp('.*[\egao_]+(.*)[\.]+.*');
}else if(location.pathname.indexOf('hongbao')!=-1){
	var pageNum=1;//总页数
	var geshi = 'hongbao';//格式
	var reg=new RegExp('.*[\hongbao_]+(.*)[\.]+.*');
}else if(location.pathname.indexOf('mingxing')!=-1){
	var pageNum=1;//总页数
	var geshi = 'mingxing';//格式
	var reg=new RegExp('.*[\mingxing_]+(.*)[\.]+.*');
}else{
	var pageNum=3;//总页数
	var geshi = 'index';//格式
	var reg=new RegExp('.*[\index_]+(.*)[\.]+.*');
} 



//翻页开始
pages(pageNum,geshi);
function pages(pageNum,geshi){
	var path = location.pathname; //当前路径
	if(path.indexOf(geshi+'_')!=-1){
		path=parseInt(path.replace(reg,"$1"));
	}else{
		path=1;
	}
	laypage({
		cont: 'fanyetools'//分页要显示的标签对象的id
		,pages: pageNum  //总页数
		,groups:5 	 //显示几个分页按钮
		,skin: ""	 //分页按钮的颜色
		,skip: true
		,curr:path
		,last:pageNum
		,jump: function(obj, first){//点击分页的回调函数 
		if(!first){
			if(obj.curr==1){
				window.location.href=geshi+'.html'  //obj.curr 此对象是跳转到第几页的数字	
			}else{
				window.location.href=geshi+'_'+(obj.curr)+'.html';  //obj.curr 此对象是跳转到第几页的数字
			}
		}
	}
	});
}
$(".layui-laypage-btn").click(function(e) {
    if(parseInt($(".layui-laypage-skip").val())>pageNum){
		alert('总页数不得超过'+pageNum+'页！')
	}
});









